//Task: stsa
//Author: Pano Panov

#include <cstdlib>
#include <iostream>
#include <math.h>
#define MAXFLTNUM 2400 //  12   200  <= 2400
#define MAXACTIVE 12
#define STCA_LIMIT 5.0

using namespace std;

typedef int (*compfn)(const void*, const void*);
//  -  
struct fldt{ 
            char name[7];
            float X;
            float Y;
            float Z;
            long TimeSec;
            int ComplCode;
           };
fldt Fligths[MAXFLTNUM]; //    
int ItemsNum = 0;  //  
//   
struct aircrafts{  
                 char Sign[7];      //   
                 int  FirstInd;     //      
                 int  LastInd;      //      
                };
aircrafts VS[MAXACTIVE];     //  - 
int ActiveCraftsNum=0; //    VS -    
int ConflNum = 0;               
           
int  comp(struct fldt *, struct fldt *);
//      qsort
int comp(struct fldt *p1, struct fldt *p2)
{
 int i;
 if((i=strcmp((*p1).name,(*p2).name)) != 0 ) return i;
 return (*p1).TimeSec - (*p2).TimeSec;
}
//       
// (410000N, 213000E)              
float Lat0 = 41*3600, Long0 = 21*3600+30*60;
//   Y i   X  
float MY = 112.0/3600.0, MX = 88.0/3600.0;
float X0 = 0.0, Y0 = 0.0;
//      
int InitArr()
    {
        int i;
        for(i=0; i<MAXFLTNUM; i++)
           {
            strcpy(Fligths[i].name, "      ");
             Fligths[i].X=Fligths[i].Y=Fligths[i].Z=0.0;
             Fligths[i].TimeSec = 0;
             Fligths[i].ComplCode = 0;   
           } 
     return 0;      
    }
//    -                 
//   ActiveCraftsNum -       
int CreateIndex()
    {
     int i, j, k;   
     for(i=0; i<ItemsNum; i++)
        {
         for(j=k=0; j<ActiveCraftsNum; j++)
            { 
             if(strcmp(Fligths[i].name, VS[j].Sign) == 0) {k=1; break;}    
            }
         if(k ==0)
           {
            strcpy(VS[ActiveCraftsNum].Sign, Fligths[i].name);
            VS[ActiveCraftsNum].FirstInd = i;
            ActiveCraftsNum++;   
           }          
        }
      for(j=0; j<ActiveCraftsNum-1; j++) VS[j].LastInd = VS[j+1].FirstInd-1;  
      VS[ActiveCraftsNum-1].LastInd = ItemsNum-1;  
    }
//    .    
//   /     
int SearchPosition(long Itm)
    {
     fldt Selset[MAXACTIVE];
     int NumOfSel;
     float Distance;   
     int i, j;
     
     for(i=NumOfSel=0; i<ActiveCraftsNum; i++)
        {
         for(j=VS[i].FirstInd; j<=VS[i].LastInd; j++)
            {
             if(Itm < Fligths[j].TimeSec)continue;
             if(Itm ==Fligths[j].TimeSec)
               {
                Selset[NumOfSel++]= Fligths[j];
                break;
               } 
             if(j+1 <= VS[i].LastInd)
               if(Itm < Fligths[j+1].TimeSec)
                 {
                  
                  Selset[NumOfSel]= Fligths[j];
                  Selset[NumOfSel].TimeSec = Itm;
                  Selset[NumOfSel].X = Fligths[j].X+(Fligths[j+1].X-Fligths[j].X)/(Fligths[j+1].TimeSec-Fligths[j].TimeSec)*(Itm-Fligths[j].TimeSec);
                  Selset[NumOfSel].Y = Fligths[j].Y+(Fligths[j+1].Y-Fligths[j].Y)/(Fligths[j+1].TimeSec-Fligths[j].TimeSec)*(Itm-Fligths[j].TimeSec);
                  Selset[NumOfSel].Z = Fligths[j].Z+(Fligths[j+1].Z-Fligths[j].Z)/(Fligths[j+1].TimeSec-Fligths[j].TimeSec)*(Itm-Fligths[j].TimeSec);
                  NumOfSel++;
                  break;
                 }             
            }     
        }
     if(  NumOfSel>1)
       { 
        for(i=0; i< NumOfSel-1; i++)
           {
            for(j=i+1; j<NumOfSel; j++)
               {
                Distance = sqrt((Selset[i].X-Selset[j].X)*(Selset[i].X-Selset[j].X)+
                                (Selset[i].Y-Selset[j].Y)*(Selset[i].Y-Selset[j].Y)+
                                (Selset[i].Z-Selset[j].Z)*(Selset[i].Z-Selset[j].Z));
                if(Distance<STCA_LIMIT) ConflNum++;
               }    
           }         
       } 
     return NumOfSel;    
    }         
//  -    
int CvtToX(char Long[], float *X)
    {
     int i;
     for(i=0; i<6; i++) Long[i]-='0';   
        
     *X = ((Long[0]*10 + Long[1])*3600+(Long[2]*10 + Long[3])*60+Long[4]*10 + Long[5]- Long0)*MX;
     return 0;   
    }
//  -     
  int CvtToY(char Lat[],  float *Y)
    {
     int i;
     for(i=0; i<6; i++) Lat[i]-='0';
         
     *Y = ((Lat[0]*10 + Lat[1])*3600+(Lat[2]*10 + Lat[3])*60+Lat[4]*10 + Lat[5] - Lat0)*MY;
     return 0;   
    }
//  - HHMMSS       
  long CvtToSec(char St[])
    {
     int i;
     for(i=0; i<6; i++)
         St[i] -= '0';
     return (St[0]*10+St[1])*3600+(St[2]*10+St[3])*60+St[4]*10+St[5];
    }
//            
int  InsData(int MessCode, char IoBuff[]) 
    {
     char CallSign[7];
     char la[8];
     long TempTime;
     int i, FindFlag;
     int Fl;
     
     strncpy(CallSign, &IoBuff[2],6);
     CallSign[6] = 0;
     TempTime = CvtToSec(&IoBuff[15]);
     Fl = (IoBuff[21]-'0')*10+IoBuff[22]-'0';
     Fl *= 10;
     strncpy(la, &IoBuff[9],6); la[6] = 0;
     for(i=FindFlag=0; i<ItemsNum; i++)
        {
         if((strcmp(CallSign, Fligths[i].name) == 0) && (TempTime == Fligths[i].TimeSec))
           {
            FindFlag=1;
            break;
           }    
        }
     if( FindFlag == 0)
       { //    
        i = ItemsNum++;
        strcpy(Fligths[i].name, CallSign);
        Fligths[i].TimeSec = TempTime;
       }
      if(MessCode == 17)
        {
         CvtToY(la,  &Fligths[i].Y);
         Fligths[i].Z +=  Fl * 100;
         Fligths[i].ComplCode++;    
        }
      else
        {
         CvtToX(la,  &Fligths[i].X); 
         Fligths[i].Z +=  Fl;
         Fligths[i].ComplCode++;    
        }
     
     return 0; 
    }
//      
int main(int argc, char *argv[])
{
    
    char IoBuff[80];
    float xt,yt,dist;
    int MessCode, i,j;
    long MaxTm, MinTm, Itm;
    
    //         
    InitArr();
    //   -   
    do{
       cin >> IoBuff;
       MessCode = (IoBuff[0]-'0')*10 + IoBuff[1]-'0';
              switch(MessCode)
             {
              case 17:  
              case 18:           
                      InsData(MessCode, IoBuff);
                      break;
              //        17  18        
              default: continue;        
            }
      }  
    while(MessCode != 99);
    //      -->  +    
    //   
    i=j=0;
    while(Fligths[i].ComplCode)
        {
         if(Fligths[i].ComplCode == 2)
           {
            Fligths[j++]=Fligths[i++];    
           }
         else i++;  
        }
    ItemsNum = j;  
         
    //      
    for(i=1, MinTm=MaxTm=Fligths[0].TimeSec; i<ItemsNum; i++)
       {
        if(MaxTm < Fligths[i].TimeSec)MaxTm = Fligths[i].TimeSec;
        if(MinTm > Fligths[i].TimeSec)MinTm = Fligths[i].TimeSec;     
       } 
    //    -->     0  
    for(i=0; i<ItemsNum; i++)
       {
        Fligths[i].TimeSec -= MinTm;
        //     
        Fligths[i].Z /=1000.0;
       } 
     MaxTm -=  MinTm; MinTm = 0;
    //  -           
    qsort ((void *)&Fligths,ItemsNum,sizeof(struct fldt), (compfn )comp);  
    
    //     -->      
    CreateIndex(); 
    //        
    for(Itm=MinTm; Itm<=MaxTm; Itm++) SearchPosition(Itm);   
    cout <<ActiveCraftsNum<<" "<<ConflNum<< endl;                                     
    return EXIT_SUCCESS;
}



